Create a QR code
curl --request POST \
--url https://{domain}/api/v1/biolinks/qr \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"name": "<string>",
"content": "https://example.com",
"color": "#4F46E5",
"settings": {
"bg": "#4F46E5",
"logo": "<string>",
"frame": true,
"frame_text": "<string>"
}
}
'import requests
url = "https://{domain}/api/v1/biolinks/qr"
payload = {
"name": "<string>",
"content": "https://example.com",
"color": "#4F46E5",
"settings": {
"bg": "#4F46E5",
"logo": "<string>",
"frame": True,
"frame_text": "<string>"
}
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: '<string>',
content: 'https://example.com',
color: '#4F46E5',
settings: {bg: '#4F46E5', logo: '<string>', frame: true, frame_text: '<string>'}
})
};
fetch('https://{domain}/api/v1/biolinks/qr', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{domain}/api/v1/biolinks/qr",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'content' => 'https://example.com',
'color' => '#4F46E5',
'settings' => [
'bg' => '#4F46E5',
'logo' => '<string>',
'frame' => true,
'frame_text' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{domain}/api/v1/biolinks/qr"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"content\": \"https://example.com\",\n \"color\": \"#4F46E5\",\n \"settings\": {\n \"bg\": \"#4F46E5\",\n \"logo\": \"<string>\",\n \"frame\": true,\n \"frame_text\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{domain}/api/v1/biolinks/qr")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"content\": \"https://example.com\",\n \"color\": \"#4F46E5\",\n \"settings\": {\n \"bg\": \"#4F46E5\",\n \"logo\": \"<string>\",\n \"frame\": true,\n \"frame_text\": \"<string>\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{domain}/api/v1/biolinks/qr")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"content\": \"https://example.com\",\n \"color\": \"#4F46E5\",\n \"settings\": {\n \"bg\": \"#4F46E5\",\n \"logo\": \"<string>\",\n \"frame\": true,\n \"frame_text\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"type": "URL",
"content": "<string>",
"color": "<string>",
"settings": {},
"created_at": "2023-11-07T05:31:56Z"
}
}QR codes
Create a QR code
Stores the QR code. Render it from Get a QR code matrix; no image file is generated.
Required permission: biolinks:qr:write
POST
/
qr
Create a QR code
curl --request POST \
--url https://{domain}/api/v1/biolinks/qr \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"name": "<string>",
"content": "https://example.com",
"color": "#4F46E5",
"settings": {
"bg": "#4F46E5",
"logo": "<string>",
"frame": true,
"frame_text": "<string>"
}
}
'import requests
url = "https://{domain}/api/v1/biolinks/qr"
payload = {
"name": "<string>",
"content": "https://example.com",
"color": "#4F46E5",
"settings": {
"bg": "#4F46E5",
"logo": "<string>",
"frame": True,
"frame_text": "<string>"
}
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: '<string>',
content: 'https://example.com',
color: '#4F46E5',
settings: {bg: '#4F46E5', logo: '<string>', frame: true, frame_text: '<string>'}
})
};
fetch('https://{domain}/api/v1/biolinks/qr', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{domain}/api/v1/biolinks/qr",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'content' => 'https://example.com',
'color' => '#4F46E5',
'settings' => [
'bg' => '#4F46E5',
'logo' => '<string>',
'frame' => true,
'frame_text' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{domain}/api/v1/biolinks/qr"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"content\": \"https://example.com\",\n \"color\": \"#4F46E5\",\n \"settings\": {\n \"bg\": \"#4F46E5\",\n \"logo\": \"<string>\",\n \"frame\": true,\n \"frame_text\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{domain}/api/v1/biolinks/qr")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"content\": \"https://example.com\",\n \"color\": \"#4F46E5\",\n \"settings\": {\n \"bg\": \"#4F46E5\",\n \"logo\": \"<string>\",\n \"frame\": true,\n \"frame_text\": \"<string>\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{domain}/api/v1/biolinks/qr")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"content\": \"https://example.com\",\n \"color\": \"#4F46E5\",\n \"settings\": {\n \"bg\": \"#4F46E5\",\n \"logo\": \"<string>\",\n \"frame\": true,\n \"frame_text\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"type": "URL",
"content": "<string>",
"color": "<string>",
"settings": {},
"created_at": "2023-11-07T05:31:56Z"
}
}Authorizations
bearerAuthapiKeyHeader
A workspace API key: Authorization: Bearer osk_...
Headers
8–200 letters, digits, ., _, : or -. Retry with the same key and exact same body to get the original response.
Required string length:
8 - 200Body
application/json
Response
201 - application/json
Created
Show child attributes
Show child attributes